API reference / Assets
Assets API
40 endpoints. Scopes: Scalar360.assets.READ, .CREATE, .UPDATE, .DELETE or .ALL. All calls need Authorization: Scalar360-oauthtoken <access_token> — see Authentication.
List
/api/v1/assets
Scope: Scalar360.assets.READ
curl -X GET "https://api.scalar360.com/api/v1/assets" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Create
/api/v1/assets
Scope: Scalar360.assets.CREATE
| Body field | Type | Required | Notes |
|---|---|---|---|
assetCode | string | ||
name | string | Yes | required, not blank |
categoryId | string | ||
brand | string | ||
model | string | ||
serialNumber | string | ||
specifications | string | ||
condition | string | ||
purchaseDate | string (date) | ||
purchaseCost | number | ||
salvageValue | number | ||
usefulLifeYears | integer | ||
depreciationMethod | string | ||
depreciationRate | number | ||
vendorId | string | ||
warrantyExpiry | string (date) | ||
location | string | ||
documents | string | ||
notes | string |
curl -X POST "https://api.scalar360.com/api/v1/assets" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Get
/api/v1/assets/{id}
Scope: Scalar360.assets.READ
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/v1/assets/{id}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Update
/api/v1/assets/{id}
Scope: Scalar360.assets.UPDATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
assetCode | string | ||
name | string | Yes | required, not blank |
categoryId | string | ||
brand | string | ||
model | string | ||
serialNumber | string | ||
specifications | string | ||
condition | string | ||
purchaseDate | string (date) | ||
purchaseCost | number | ||
salvageValue | number | ||
usefulLifeYears | integer | ||
depreciationMethod | string | ||
depreciationRate | number | ||
vendorId | string | ||
warrantyExpiry | string (date) | ||
location | string | ||
documents | string | ||
notes | string |
curl -X PUT "https://api.scalar360.com/api/v1/assets/{id}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"assetCode":"string","name":"string","categoryId":"string","brand":"string","model":"string","serialNumber":"string"}'Delete
/api/v1/assets/{id}
Scope: Scalar360.assets.DELETE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
curl -X DELETE "https://api.scalar360.com/api/v1/assets/{id}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Assign
/api/v1/assets/{id}/assign
Scope: Scalar360.assets.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
assigneeType | string | ||
assigneeName | string | ||
employeeId | string | ||
location | string | ||
expectedReturn | string (date) | ||
conditionOut | string | ||
notes | string |
curl -X POST "https://api.scalar360.com/api/v1/assets/{id}/assign" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"assigneeType":"string","assigneeName":"string","employeeId":"string","location":"string","expectedReturn":"2026-10-12","conditionOut":"string"}'Checkin
/api/v1/assets/{id}/checkin
Scope: Scalar360.assets.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
conditionIn | string | ||
notes | string |
curl -X POST "https://api.scalar360.com/api/v1/assets/{id}/checkin" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"conditionIn":"string","notes":"string"}'Dispose
/api/v1/assets/{id}/dispose
Scope: Scalar360.assets.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
disposalType | string | ||
disposalValue | number | ||
date | string (date) | ||
notes | string |
curl -X POST "https://api.scalar360.com/api/v1/assets/{id}/dispose" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"disposalType":"string","disposalValue":100,"date":"2026-10-12","notes":"string"}'Upload document
/api/v1/assets/{id}/documents
Scope: Scalar360.assets.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
Request body: multipart/form-data with a file field.
curl -X POST "https://api.scalar360.com/api/v1/assets/{id}/documents" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-F "file=@/path/to/file"Delete document
/api/v1/assets/{id}/documents
Scope: Scalar360.assets.DELETE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
key | query | string | Yes |
curl -X DELETE "https://api.scalar360.com/api/v1/assets/{id}/documents" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Document url
/api/v1/assets/{id}/documents/url
Scope: Scalar360.assets.READ
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
key | query | string | Yes |
curl -X GET "https://api.scalar360.com/api/v1/assets/{id}/documents/url" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Events
/api/v1/assets/{id}/events
Scope: Scalar360.assets.READ
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/v1/assets/{id}/events" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Transfer
/api/v1/assets/{id}/transfer
Scope: Scalar360.assets.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
assigneeType | string | ||
assigneeName | string | ||
employeeId | string | ||
location | string | ||
notes | string |
curl -X POST "https://api.scalar360.com/api/v1/assets/{id}/transfer" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"assigneeType":"string","assigneeName":"string","employeeId":"string","location":"string","notes":"string"}'List
/api/v1/assets/approval-workflows
Scope: Scalar360.assets.READ
curl -X GET "https://api.scalar360.com/api/v1/assets/approval-workflows" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Create
/api/v1/assets/approval-workflows
Scope: Scalar360.assets.CREATE
| Body field | Type | Required | Notes |
|---|---|---|---|
name | string | Yes | required, not blank |
appliesTo | string | ||
minAmount | number | ||
isDefault | boolean | ||
active | boolean | ||
levels | array of object | ||
levels[].approverUserId | string | ||
levels[].approverName | string |
curl -X POST "https://api.scalar360.com/api/v1/assets/approval-workflows" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Update
/api/v1/assets/approval-workflows/{id}
Scope: Scalar360.assets.UPDATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
name | string | Yes | required, not blank |
appliesTo | string | ||
minAmount | number | ||
isDefault | boolean | ||
active | boolean | ||
levels | array of object | ||
levels[].approverUserId | string | ||
levels[].approverName | string |
curl -X PUT "https://api.scalar360.com/api/v1/assets/approval-workflows/{id}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string","appliesTo":"string","minAmount":100,"isDefault":true,"active":true,"levels":[{"approverUserId":"string","approverName":"string"}]}'Delete
/api/v1/assets/approval-workflows/{id}
Scope: Scalar360.assets.DELETE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
curl -X DELETE "https://api.scalar360.com/api/v1/assets/approval-workflows/{id}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"List
/api/v1/assets/categories
Scope: Scalar360.assets.READ
curl -X GET "https://api.scalar360.com/api/v1/assets/categories" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Create
/api/v1/assets/categories
Scope: Scalar360.assets.CREATE
| Body field | Type | Required | Notes |
|---|---|---|---|
name | string | Yes | required, not blank |
code | string | ||
depreciationMethod | string | ||
depreciationRate | number | ||
usefulLifeYears | integer | ||
salvagePct | number | ||
description | string |
curl -X POST "https://api.scalar360.com/api/v1/assets/categories" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Update
/api/v1/assets/categories/{id}
Scope: Scalar360.assets.UPDATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
name | string | Yes | required, not blank |
code | string | ||
depreciationMethod | string | ||
depreciationRate | number | ||
usefulLifeYears | integer | ||
salvagePct | number | ||
description | string |
curl -X PUT "https://api.scalar360.com/api/v1/assets/categories/{id}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string","code":"string","depreciationMethod":"string","depreciationRate":100,"usefulLifeYears":1,"salvagePct":100}'Delete
/api/v1/assets/categories/{id}
Scope: Scalar360.assets.DELETE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
curl -X DELETE "https://api.scalar360.com/api/v1/assets/categories/{id}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"For asset
/api/v1/assets/depreciation
Scope: Scalar360.assets.READ
| Parameter | In | Type | Required |
|---|---|---|---|
assetId | query | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/v1/assets/depreciation" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Run
/api/v1/assets/depreciation/run
Scope: Scalar360.assets.CREATE
curl -X POST "https://api.scalar360.com/api/v1/assets/depreciation/run" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Lookup
/api/v1/assets/lookup
Scope: Scalar360.assets.READ
| Parameter | In | Type | Required |
|---|---|---|---|
code | query | string | Yes |
curl -X GET "https://api.scalar360.com/api/v1/assets/lookup" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"List
/api/v1/assets/maintenance
Scope: Scalar360.assets.READ
| Parameter | In | Type | Required |
|---|---|---|---|
assetId | query | string (uuid) | No |
curl -X GET "https://api.scalar360.com/api/v1/assets/maintenance" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Create
/api/v1/assets/maintenance
Scope: Scalar360.assets.CREATE
| Body field | Type | Required | Notes |
|---|---|---|---|
assetId | string | Yes | required, not blank |
kind | string | ||
title | string | Yes | required, not blank |
description | string | ||
scheduledDate | string (date) | ||
nextDueDate | string (date) | ||
cost | number | ||
vendorId | string | ||
requestedBy | string | ||
assignedTo | string | ||
recurrenceDays | integer |
curl -X POST "https://api.scalar360.com/api/v1/assets/maintenance" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"assetId":"string","title":"string"}'Delete
/api/v1/assets/maintenance/{id}
Scope: Scalar360.assets.DELETE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
curl -X DELETE "https://api.scalar360.com/api/v1/assets/maintenance/{id}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Update status
/api/v1/assets/maintenance/{id}/status
Scope: Scalar360.assets.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
status | string | ||
completedDate | string (date) | ||
cost | number |
curl -X POST "https://api.scalar360.com/api/v1/assets/maintenance/{id}/status" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"status":"string","completedDate":"2026-10-12","cost":100}'List
/api/v1/assets/requests
Scope: Scalar360.assets.READ
curl -X GET "https://api.scalar360.com/api/v1/assets/requests" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Create
/api/v1/assets/requests
Scope: Scalar360.assets.CREATE
| Body field | Type | Required | Notes |
|---|---|---|---|
type | string | ||
title | string | Yes | required, not blank |
description | string | ||
requestedBy | string | ||
priority | string | ||
categoryId | string | ||
assetId | string | ||
vendorId | string | ||
quantity | number | ||
estimatedCost | number | ||
notes | string | ||
approvers | array of string |
curl -X POST "https://api.scalar360.com/api/v1/assets/requests" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"title":"string"}'Get
/api/v1/assets/requests/{id}
Scope: Scalar360.assets.READ
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/v1/assets/requests/{id}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Delete
/api/v1/assets/requests/{id}
Scope: Scalar360.assets.DELETE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
curl -X DELETE "https://api.scalar360.com/api/v1/assets/requests/{id}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Approve
/api/v1/assets/requests/{id}/approve
Scope: Scalar360.assets.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
comment | string |
curl -X POST "https://api.scalar360.com/api/v1/assets/requests/{id}/approve" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"comment":"string"}'Cancel
/api/v1/assets/requests/{id}/cancel
Scope: Scalar360.assets.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
curl -X POST "https://api.scalar360.com/api/v1/assets/requests/{id}/cancel" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Fulfil
/api/v1/assets/requests/{id}/fulfil
Scope: Scalar360.assets.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
curl -X POST "https://api.scalar360.com/api/v1/assets/requests/{id}/fulfil" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Reject
/api/v1/assets/requests/{id}/reject
Scope: Scalar360.assets.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
comment | string |
curl -X POST "https://api.scalar360.com/api/v1/assets/requests/{id}/reject" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"comment":"string"}'Submit
/api/v1/assets/requests/{id}/submit
Scope: Scalar360.assets.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
id | path | string (uuid) | Yes |
curl -X POST "https://api.scalar360.com/api/v1/assets/requests/{id}/submit" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Get
/api/v1/assets/settings
Scope: Scalar360.assets.READ
curl -X GET "https://api.scalar360.com/api/v1/assets/settings" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Update
/api/v1/assets/settings
Scope: Scalar360.assets.UPDATE
| Body field | Type | Required | Notes |
|---|---|---|---|
codePrefix | string | ||
codePadding | integer | ||
defaultDepreciationMethod | string | ||
warrantyReminderDays | integer | ||
requireApproval | boolean | ||
notifyApprovers | boolean | ||
autoGeneratePreventive | boolean | ||
preventiveLeadDays | integer |
curl -X PUT "https://api.scalar360.com/api/v1/assets/settings" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"codePrefix":"string","codePadding":1,"defaultDepreciationMethod":"string","warrantyReminderDays":1,"requireApproval":true,"notifyApprovers":true}'Summary
/api/v1/assets/summary
Scope: Scalar360.assets.READ
curl -X GET "https://api.scalar360.com/api/v1/assets/summary" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"